Passer au contenu

Présentation

  • Version : 2.0
  • Serveurs : https://api.xsolla.com/merchant/v2/

Cette référence API décrit les endpoints pour la gestion des abonnements, des coupons et des promotions. Pour plus d'informations sur les abonnements, consultez le guide du produit et le glossaire.

Télécharger la description d'OpenAPI
Langues
Serveurs
Mock server
https://xsolla.redocly.app/_mock/fr/api/subscriptions/
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations

Requête

Sécurité
subscriptionsManagementJwtAuth
Chemin
subscription_idinteger\d+obligatoire
project_idinteger\d+obligatoire
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/fr/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_account' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Réponses

Get payment account info

Corpsapplication/json
card_expiry_dateobject or null
idintegerobligatoire
Exemple: "123"
namestring or null
Exemple: "** 7398"
ps_namestring or null
Exemple: "Mastercard"
switch_icon_namestring or null
Exemple: "mastercard.svg"
typestringobligatoire
Exemple: "card"
Réponse
application/json
{ "card_expiry_date": { "month": "09", "year": "2023" }, "id": "123", "name": "** 7398", "ps_name": "Mastercard", "switch_icon_name": "mastercard.svg", "type": "card" }

Requête

Sécurité
subscriptionsManagementJwtAuth
Chemin
subscription_idinteger\d+obligatoire
project_idinteger\d+obligatoire
Requête
sandboxboolean
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/fr/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_account/manage?sandbox=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Réponses

Returns link for managing payment accounts

Corpsapplication/json
link_to_psstringobligatoire
Exemple: "https://secure.xsolla.com/paystation2/?access_token=<access_token>"
Réponse
application/json
{ "link_to_ps": "https://secure.xsolla.com/paystation2/?access_token=<access_token>" }

Requête

Sécurité
subscriptionsManagementJwtAuth
Chemin
subscription_idinteger\d+obligatoire
project_idinteger\d+obligatoire
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/fr/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_accounts' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Réponses

Returns the user's billing accounts

Corpsapplication/json
itemsArray of objects(BillingAccountResponse)
Par défaut []
Réponse
application/json
{ "items": [] }